import java.util.List;

import org.hibernate.Hibernate;
import org.hibernate.Query;
import org.hibernate.SQLQuery;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;

import com.avi.Contact;



public class Simplest {
   
    static SessionFactory sessionFactory;
    
    public static void main(String[] args) {
        
        sessionFactory = 
            new Configuration().configure().buildSessionFactory();
        
        Contact example = getExampleContact();
        
        insertContact(example);
        
    }
    
   
    
    private static void insertContact(Contact contact){
       Session session = sessionFactory.openSession();
       Transaction transaction = session.beginTransaction();
       session.save(contact);
       transaction.commit();
       session.flush();
       session.close();
    }
    
  
}
